%define		intversion R12B-1
Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Name:           erlang_otp
Version:        R12B1
Release:        1
Summary:       	general-purpose programming language and runtime environment 
Group:          Development/Erlang
License:        EPL
URL:            http://www.erlang.org
Source0:       	otp_src_%{intversion}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	glibc-devel
BuildRequires:	openssl-devel
BuildRequires:  ncurses-devel

%description
Erlang is a general-purpose programming language and runtime environment. Erlang has built-in support for concurrency, distribution and fault tolerance. Erlang is used in several large telecommunication systems from Ericsson.

%post
ldconfig

%postun
ldconfig


%prep
%setup -n otp_src_%{intversion}

%build
./configure 	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--enable-threads \
		--disable-hipe
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT
# correct path in startscript
sed -e 's#ROOTDIR=.*#ROOTDIR=/usr/lib/erlang#g' $RPM_BUILD_ROOT/usr/lib/erlang/bin/erl > $RPM_BUILD_ROOT/usr/lib/erlang/bin/erl.sed
rm -rf $RPM_BUILD_ROOT/usr/lib/erlang/bin/erl
mv $RPM_BUILD_ROOT/usr/lib/erlang/bin/erl.sed $RPM_BUILD_ROOT/usr/lib/erlang/bin/erl
chmod a+x $RPM_BUILD_ROOT/usr/lib/erlang/bin/erl
# correct symbolic links
rm -rf $RPM_BUILD_ROOT%{_bindir}/*
ln -s /usr/lib/erlang/bin/dialyzer 	$RPM_BUILD_ROOT%{_bindir}/dialyzer
ln -s /usr/lib/erlang/bin/epmd 		$RPM_BUILD_ROOT%{_bindir}/epmd
ln -s /usr/lib/erlang/bin/erl 		$RPM_BUILD_ROOT%{_bindir}/erl
ln -s /usr/lib/erlang/bin/erlc 		$RPM_BUILD_ROOT%{_bindir}/erlc
ln -s /usr/lib/erlang/bin/escript 	$RPM_BUILD_ROOT%{_bindir}/escript
ln -s /usr/lib/erlang/bin/run_erl 	$RPM_BUILD_ROOT%{_bindir}/run_erl
ln -s /usr/lib/erlang/bin/to_erl 	$RPM_BUILD_ROOT%{_bindir}/to_erl
ln -s /usr/lib/erlang/bin/typer 	$RPM_BUILD_ROOT%{_bindir}/typer
rm -rf $RPM_BUILD_ROOT%{_libdir}/erlang/bin/epmd
ln -s /usr/lib/erlang/erts-5.6.1/bin/epmd $RPM_BUILD_ROOT%{_libdir}/erlang/bin/epmd


%clean
[ %{buildroot} != "/" ] && ( rm -rf %{buildroot} )

%files
%defattr(-,root,root,-)
%{_libdir}/erlang
%{_bindir}/*

%changelog
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> R12B1-1-1
- Initial package release
